CurvedSectionMark Class |
The CurvedSectionMark class defines a drawing object that illustrates a curved section in a specific view.
In contrast to straight section mark, the curved section mark can only be inserted as a result of
creating a curved section view.
Inheritance Hierarchy
SystemObject
Tekla.Structures.DrawingDatabaseObject
Tekla.Structures.DrawingDrawingObject
Tekla.Structures.DrawingSectionMarkBase
Tekla.Structures.DrawingCurvedSectionMark
Tekla.Structures.DrawingDatabaseObject
Tekla.Structures.DrawingDrawingObject
Tekla.Structures.DrawingSectionMarkBase
Tekla.Structures.DrawingCurvedSectionMark
Namespace: Tekla.Structures.Drawing
Assembly: Tekla.Structures.Drawing (in Tekla.Structures.Drawing.dll) Version: 2024.0.0+a110b435391768740483e3032720a566518c9a63
Syntax
The CurvedSectionMark type exposes the following members.
Properties
Name | Description | |
---|---|---|
Attributes |
The attributes for the section mark.
(Inherited from SectionMarkBase.) | |
LeftPoint |
The starting point of the left symbol of the section mark.
(Inherited from SectionMarkBase.) | |
MiddlePoint |
The middle arc point of a curved section mark.
| |
QueryReturnValue |
Status information about the latest database operation (select, insert, modify, delete).
(Inherited from DatabaseObject.) | |
RightPoint |
The starting point of the right symbol of the section mark.
(Inherited from SectionMarkBase.) |
Methods
Name | Description | |
---|---|---|
Delete |
Deletes the section mark from the current drawing database.
(Inherited from SectionMarkBase.) | |
GetDoubleUserProperties(DictionaryString, Double) |
Retrieves all double user properties for the object with the given list of names.
(Inherited from DatabaseObject.) | |
GetDoubleUserProperties(ListString, DictionaryString, Double) |
Retrieves all double user properties for the object with the given list of names.
(Inherited from DatabaseObject.) | |
GetDrawing |
Gets the drawing where the drawing object is.
(Inherited from DrawingObject.) | |
GetIntegerUserProperties(DictionaryString, Int32) |
Retrieves all integer user properties for the object with the given list of names.
(Inherited from DatabaseObject.) | |
GetIntegerUserProperties(ListString, DictionaryString, Int32) |
Retrieves all integer user properties for the object with the given list of names.
(Inherited from DatabaseObject.) | |
GetRelatedObjects |
Gets the related objects of the current object.
(Inherited from DrawingObject.) | |
GetRelatedObjects(Type) |
Gets the related objects of the current object that are of certain types.
(Inherited from DrawingObject.) | |
GetStringUserProperties(DictionaryString, String) |
Retrieves all string user properties for the object with the given list of names.
(Inherited from DatabaseObject.) | |
GetStringUserProperties(ListString, DictionaryString, String) |
Retrieves all string user properties for the object with the given list of names.
(Inherited from DatabaseObject.) | |
GetUserProperty(String, Double) |
Gets a double property from the drawing object. The object has to be in a drawing before
the method can be used.
(Inherited from DatabaseObject.) | |
GetUserProperty(String, Int32) |
Gets an integer property from the drawing object. The object has to be in a drawing before
the method can be used.
(Inherited from DatabaseObject.) | |
GetUserProperty(String, String) |
Gets a string property from the drawing object. The object has to be in a drawing before
the method can be used.
(Inherited from DatabaseObject.) | |
GetView |
Gets the view where the drawing object is.
(Inherited from DrawingObject.) | |
Insert |
Inserts the section mark into the current drawing database.
(Inherited from SectionMarkBase.) | |
IsEqual |
Compares the current object with an object of the same type.
(Overrides SectionMarkBaseIsEqual(Object).) | |
IsSameDatabaseObject |
Returns true if the current object and the given object are referencing the same database object.
(Inherited from DatabaseObject.) | |
Modify |
Modifies the section mark in the current drawing database.
(Inherited from SectionMarkBase.) | |
Select |
Selects the section mark from the current drawing database.
(Inherited from SectionMarkBase.) | |
SetUserProperty(String, Double) |
Sets a double property for the drawing object. The object has to be in a drawing before
the method can be used.
(Inherited from DatabaseObject.) | |
SetUserProperty(String, Int32) |
Sets an integer property for the drawing object. The object has to be in a drawing before
the method can be used.
(Inherited from DatabaseObject.) | |
SetUserProperty(String, String) |
Sets a string property for the drawing object. The object has to be in a drawing before
the method can be used.
(Inherited from DatabaseObject.) | |
ToString |
Changes the string presentation of the drawing object.
(Inherited from DrawingObject.) |
Examples
The following code modifies a curved section mark in the current drawing:
using Tekla.Structures.Drawing; using Tekla.Structures.Geometry3d; public class CurvedSectionMarkExample { public void CurvedSectionMarkModify() { DrawingHandler myDrawingHandler = new DrawingHandler(); DrawingObjectSelector dos = myDrawingHandler.GetDrawingObjectSelector(); DrawingObjectEnumerator allObjectsOnSheet = dos.GetSelected(); while (allObjectsOnSheet.MoveNext()) { if (allObjectsOnSheet.Current is Tekla.Structures.Drawing.CurvedSectionMark) { CurvedSectionMark sectionMark = allObjectsOnSheet.Current as Tekla.Structures.Drawing.CurvedSectionMark; sectionMark.Attributes.LineWidthOffsetLeft = 5; sectionMark.Attributes.LineWidthOffsetRight = 5; sectionMark.Modify(); } } } }
See Also